Skip to main content
`Ctrl`+`K`

# MatCoarsenSetType

Sets the type of aggregator to use

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenSetType(MatCoarsen coarser, MatCoarsenType type)

Collective

## Input Parameters

- coarser - the coarsen context.

- type - a known coarsening method

## Options Database Key

- -mat_coarsen_type <type> - maximal independent set based; distance k MIS; heavy edge matching

## See Also

`MatCoarsen`, `MatCoarsenCreate()`, `MatCoarsenApply()`, `MatCoarsenType`, `MatCoarsenGetType()`

## Level

advanced

## Location

src/mat/graphops/coarsen/interface/coarsen.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages